Package Details: palm-novacom-git 20130426-1

Git Clone URL: (read-only)
Package Base: palm-novacom-git
Description: WebOS <-> PC connection, open source version
Upstream URL:
Licenses: Apache
Conflicts: palm-novacom
Provides: palm-novacom
Submitter: t-8ch
Maintainer: t-8ch
Last Packager: t-8ch
Votes: 45
Popularity: 0.039710
First Submitted: 2012-04-11 17:07
Last Updated: 2015-07-06 06:09

Required by (1)

  • palm-sdk (requires palm-novacom) (optional)

Sources (6)

Latest Comments

carlwgeorge commented on 2016-05-06 00:49

This needs git in the makedepends array.

t-8ch commented on 2013-01-04 12:16

The problem isn't makepkg, but AUR helpers like yaourt.
Anyways I changed the dependency.

ManceRayder commented on 2013-01-04 02:11

i am running into the same issue. is there a way to get makepkg to recognize cmake-modules-webos-git as the same dependency?

t-8ch commented on 2013-01-01 00:36

Yeah, the package is called cmake-modules-webos-git and it provides cmake-modules-webos.

Anonymous comment on 2012-12-31 18:51

requires cmake-modules-webos currently to install, which it says is in AUR but yaourt / I can't find

t-8ch commented on 2012-12-29 11:45

Should work again, please report further bugs :-)

joshgillies commented on 2012-12-29 06:44

Changes upstream mean that the patches here don't apply currently.

viliampucik commented on 2012-09-29 15:57

Disowned in favor of palm-novacom-git package.

ryanc commented on 2012-08-27 18:17

Please use palm-novacom-lite going forward.

viliampucik commented on 2012-08-19 16:28

Mini update adding support for systemd based on

mAn commented on 2012-05-04 16:56

Works great ! Thank you !

mAn commented on 2012-05-04 16:55

Doesn't detect my HP Touchpad. palm-novacom-lite works.

viliampucik commented on 2012-01-15 10:05

The package has been updated.

Thanks to ricklous for notification and i386 testing (I mainly do x86_64 testing).

Anonymous comment on 2012-01-14 12:50

Libusb has been updated again, we're now on libusb-0.1-4_0.1.12-20_*.deb

The checksums are:
111266b044c0b3043a8bf14668657e7f libusb-0.1-4_0.1.12-20_i386.deb
f4e26f69edf4680c779bb0c61f5379f7 libusb-0.1-4_0.1.12-20_amd64.deb

I editted my local pkgbuild to reflect this (using i386) and all seemed happy.

viliampucik commented on 2011-12-03 13:04

Thank you mscoolnerd. The package has been updated.

Anonymous comment on 2011-12-03 01:55

The libusb download link seems to be broken now....

ryanc commented on 2011-11-21 00:45


viliampucik commented on 2011-11-13 10:20

1. Install palm-novacom-lite.
2. # /etc/rc.d/novacomd start (as root)
3. Enable Developer Mode on your Palm by typing "webos20090606" in the main screen.
4. Connect your Palm with PC using a usb cable.
5. $ novaterm (will connect you with your Palm)

viliampucik commented on 2011-11-13 10:17

For those of you just looking how to access you Palm from Linux PC (e.g. to install Preware), palm-novacom-lite [] can be handy.

Anonymous comment on 2011-10-26 19:11

New version.


$ curl -s | md5sum

$ curl -s | md5sum

nickread commented on 2011-09-14 23:45

They've changed the download location to*****.deb

Anonymous comment on 2011-09-14 13:50

This is not working for me on a x64:

Aur Targets (1): palm-novacom

Proceed with installation? [Y/n]

Edit palm-novacom PKGBUILD with $EDITOR? [Y/n]

==> Erstelle Paket: palm-novacom 1.0.76-1 (Mi 14. Sep 15:46:06 CEST 2011)
==> Prüfe Laufzeit-Abhängigkeiten...
==> Prüfe Buildtime-Abhängigkeiten...
==> Empfange Quellen...
-> palm-novacom_1.0.76_amd64.deb gefunden
-> novacomd gefunden
-> novacomd-conf.d gefunden
==> Überprüfe Gültigkeit der Quell-Dateien mit md5sums...
palm-novacom_1.0.76_amd64.deb ... Durchgelaufen
novacomd ... Durchgelaufen
novacomd-conf.d ... Durchgelaufen
==> Entpacke Quellen...
-> Entpacke palm-novacom_1.0.76_amd64.deb mit bsdtar
==> Entferne existierendes pkg/ Verzeichnis ...
==> Betrete fakeroot-Umgebung ...
==> Beginne build()...
ar: /tmp/packerbuild-1111/palm-novacom/palm-novacom/palm-novacom_1.0.76_amd64.deb: No such file or directory
==> FEHLER: Ein Fehler geschah in build().
Breche ab ...
The build failed.


Anonymous comment on 2011-09-09 04:44

The issue was my fault entirely. I did not load the daemon. My apologies.

viliampucik commented on 2011-09-07 19:22

In case the device is in developer mode and connected to the PC, and novaterm still cannot find it, then there might by a problem with the cable. Have you succeed with connecting the device as a USB mass store using the cable?

Anonymous comment on 2011-09-07 08:21

I get "unable to find device" when attempting to run novaterm.

ryanc commented on 2011-07-31 19:17

Updated to 1.0.76 for SDK

java-runtime dependency has been removed.

t-8ch commented on 2011-07-08 21:26

Another cleaned up source-tarball:

nickread commented on 2011-07-07 02:31

Also still works with the latest 1.0.76 release after pkgver, MD5 and URL changes:


t-8ch commented on 2011-06-29 12:15

A cleaned up source-tarball can be found here:

viliampucik commented on 2011-04-10 14:07

Never version of palm-novacom without useless Java dependency but with included libusb from Ubuntu to solve issues with native Arch Linux libusb version causing these errors:

novacom_usb_findandattach_thread:496: usb_handle 0x00000000, bus 002 dev 003
usbll(00000000) error reading packet, retry: rc(-1), errno 9
usbll(00000000) error reading packet, shutdown: rc(-1), errno 9

To connect to your Palm:
1. Enable Developer Mode on your Palm by typing webos20090606 in the main screen.
2. Make and install palm-novacom-lite.
3. # /etc/rc.d/novacomd start
4. Connect your Palm with PC using a usb cable.
5. $ novaterm

Tested under Arch Linux x86-64 with Palm Pre 2.

StefanLohmaier commented on 2011-03-22 06:40

2.1 sdk works by changing versions and md5sums.

ryanc commented on 2010-08-08 18:13

Sorry about forgetting to upload the fixed package. It is done now.

Don't use the conf and init scripts that come with the .deb; they do not follow the guidelines for Arch.

Anonymous comment on 2010-08-08 17:45

Those files are indeed in the .deb but the PKGBUILD is not referencing their correct path (at least on on the amd64 version I was using)

This patch fixes it

@@ -40,8 +40,8 @@
mkdir -m 0755 -p $startdir/pkg/etc/rc.d || return 1
mkdir -m 0755 -p $startdir/pkg/usr/bin || return 1

- install -m 755 $startdir/novacomd $startdir/pkg/etc/rc.d/novacomd || return 1
- install -m 644 $startdir/novacomd-conf.d $startdir/pkg/etc/conf.d/novacomd || return 1
+ install -m 755 $startdir/pkg/opt/Palm/novacom/novacomd $startdir/pkg/etc/rc.d/novacomd || return 1
+ install -m 644 $startdir/pkg/opt/Palm/novacom/scripts/novacomd-conf $startdir/pkg/etc/conf.d/novacomd || return 1

rm -rf $startdir/pkg/opt/Palm/novacom/scripts || return 1
rm -rf $startdir/pkg/usr/local || return 1

ryanc commented on 2010-07-26 19:46

Nevermind previous comment, those files must have not made it in to the PKGBUILD tarball. I'll fix and upload tonight.

ryanc commented on 2010-07-26 19:46

No, they are in the tarball that is in the AUR, not the sources from Palm. I've never used yaourt, so I don't know how it retrieves, extracts, and builds a package.

ryanc commented on 2010-07-26 19:45

No, they are in the tarball that is in the AUR, not the sources from Palm. I've never used yaourt, so I don't know how it retrieves, extracts, and builds a package.

Anonymous comment on 2010-07-26 18:10

Getting a build error:
install: cannot stat `/tmp/yaourt-tmp-valentine/aur-palm-novacom/novacomd': No such file or directory
==> ERROR: Makepkg was unable to build palm-novacom.

Looks like the rc.d and conf.d files are not in the PKGBUILD(sources)/tarball, but are still being called by install.

ryanc commented on 2010-07-11 00:14

Fair enough, the typo is fixed.

Anonymous comment on 2010-07-10 22:12

there is bug :P
in build section, if you use i386, there is wrong package version 1.0.55, should be 1.0.56

maybe you should change it to $pkgver :)

ryanc commented on 2010-07-08 06:55

Updated to 1.0.56 for Palm SDK 1.4.5 release.

sfabius commented on 2010-04-13 02:26

depends on lib32-libusb, which is out of date and gets stuck. Suggestions?

ryanc commented on 2010-04-01 04:58

Update for Palm SDK 1.4.1(.1) release.